<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">
	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GK::MacroEditDialog" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GK\Theme1\DialogMacroEdit.png" SizeToImage="1"/>
				<Item Name="PushButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IconButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ToggleButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_AUTOCHECKBOX | BS_PUSHLIKE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="GroupBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | BS_GROUPBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="RadioButton" Width="57" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTORADIOBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_CENTER | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ComboBox" Width="72" Height="21" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER | CBS_DROPDOWNLIST" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="14" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="" BGTrans="1"/>
				<Item Name="Line" Width="100" Height="1" Style="WS_CHILD | WS_VISIBLE | SS_GRAYRECT" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ScrollBar" Width="60" Height="18" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | SBS_HORZ" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | TBS_HORZ | TBS_BOTH | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ProgressBar" Width="120" Height="23" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TabCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IPAddressCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MessageCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="LinkCtrl" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MaskEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GK::MacroEditDialog" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GK::MacroEditDialog"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::MacroEditDialog"/>
			<ExtraConfig>
				<FreeLayout>
					<!--Title Bar-->
					<Label X="20" Y="15" Width="200" FontHeight="20" Text="巨集編輯" ID="GK::ID_ME_TiltleLabel" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<ImageList X="660" Y="12" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_Close">
						<Image File="Image\GK\Theme1\button_close_normal.png"/>
						<Image File="Image\GK\Theme1\button_close_over.png"/>
					</ImageList>

					<!--right bottom corner-->
					<VirtualBox X="200" Y="655" Width="334" Height="35">
						<ColumnLayout ColSpace="6">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_OK">
								<Image File="Image\GK\Theme1\button_okcancel_normal.png"/>
								<Image File="Image\GK\Theme1\button_okcancel_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_Cancel">
								<Image File="Image\GK\Theme1\button_okcancel_normal.png"/>
								<Image File="Image\GK\Theme1\button_okcancel_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="200" Y="655" Width="334" Height="35">
						<!--the same rect to image-->
						<ColumnLayout ColSpace="6" ColWidth="equal" ColAlignV="center">
							<Label Text="確定" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_ME_OKLabel"/>
							<Label Text="取消" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_ME_CancelLabel"/>
						</ColumnLayout>
					</VirtualBox>

					<!--Macro name selection-->
					<Label X="39" Y="65" Width="200" BGTrans="0" FontHeight="20" Text="選擇名稱" FGColor="#cdcdcd" ID="GK::ID_ME_LB_MacroName" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<ListBox X="39" Y="88" FontHeight="18" Width="236" Height="130" Visible="1" ID="GK::ID_ME_MacroNameList" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT | LBS_SORT"/>

					<!--new Macro -->
					<Label X="295" Y="67" Width="200" BGTrans="0" FontHeight="20" Text="新增巨集" FGColor="#cdcdcd" ID="GK::ID_ME_LB_MacroNew" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<ImageList X="540" Y="95" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MacroNew">
						<Image File="Image\GK\Theme1\dialog_button_normal.png"/>
						<Image File="Image\GK\Theme1\dialog_button_over.png"/>
					</ImageList>
					<Label X="577" Y="100" Text="新增" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_ME_Lab_MacroNew"/>
					<TextEdit X="295" Y="100" Width="230" FontHeight="20" StyleEx="" BGTrans="0" ID="GK::ID_ME_TE_MacroNew"/>

					<!--remove Macro -->
					<VirtualBox X="295" Y="182" Height="36">
						<ColumnLayout ColSpace="20" ColAlignV="center">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MacroDel" Tooltip="Delete">
								<Image File="Image\GK\Theme1\med_button_drop_normal.png"/>
								<Image File="Image\GK\Theme1\med_button_drop_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MacroRename" Tooltip="Rename">
								<Image File="Image\GK\Theme1\med_button_rename_normal.png"/>
								<Image File="Image\GK\Theme1\med_button_rename_over.png"/>
							</ImageList>
							<!--ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MacroExport" Tooltip="Export">
								<Image File="Image\GK\Theme1\med_button_export_normal.png"/>
								<Image File="Image\GK\Theme1\med_button_export_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MacroImport" Tooltip="Import">
								<Image File="Image\GK\Theme1\med_button_import_normal.png"/>
								<Image File="Image\GK\Theme1\med_button_import_over.png"/>
							</ImageList-->
						</ColumnLayout>
					</VirtualBox>

					<!--REC Macro -->
					<ImageList X="317" Y="257" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MacroStartREC">
						<Image File="Image\GK\Theme1\dialog_button_normal.png"/>
						<Image File="Image\GK\Theme1\dialog_button_over.png"/>
					</ImageList>
					<Label X="335" Y="262" Text="開始錄製" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_ME_Lab_MacroStartREC"/>
					<ImageList X="427" Y="257" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MacroStopREC">
						<Image File="Image\GK\Theme1\dialog_button_normal.png"/>
						<Image File="Image\GK\Theme1\dialog_button_over.png"/>
					</ImageList>
					<Label X="445" Y="262" Text="停止錄製" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_ME_Lab_MacroStopREC"/>

					<!--Softkeyboard -->
					<ImageList X="565" Y="255" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MacroSoftKeyboard" Tooltip="螢幕小鍵盤">
						<Image File="Image\GK\Theme1\med_button_softkeyboard_normal.png"/>
						<Image File="Image\GK\Theme1\med_button_softkeyboard_over.png"/>
					</ImageList>

					<!--Label X="335" Y="303" Width="200" BGTrans="0" FontHeight="20" Text="插入一個脚本命令" FGColor="#cdcdcd" ID="GK::ID_ME_LB_InsertScript" Style="WS_CHILD | WS_VISIBLE	| SS_LEFT"/>
					<Label X="335" Y="336" Width="50" BGTrans="0" FontHeight="20" Text="当" FGColor="#cdcdcd" ID="GK::ID_ME_LB_IFLabel" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<Label X="376" Y="334" Width="115" Height="29" BGTrans="0" ID="GK::ID_ME_LB_IF"/>
					<VirtualBox X="376" Y="334" Width="115" Height="29">
						<ColumnLayout ColAlignV="center" ColWidth="115">
							<Label BGTrans="0" Text="左鍵" FontHeight="18" ID="GK::ID_ME_LB_IFTxt"/>
						</ColumnLayout>
					</VirtualBox>
					<ListBox X="375" FontHeight="15" Y="365" Visible="0" Width="117" Height="70" ID="GK::ID_ME_If_Subject">
						<Item>左鍵</Item>
						<Item>右鍵</Item>
						<Item>中鍵</Item>
						<Item>4KEY</Item>
						<Item>5KEY</Item>
						<Item>滾輪</Item>
					</ListBox>
					
					<Label X="505" Y="336" Width="50" BGTrans="0" FontHeight="20" Text="产生" FGColor="#cdcdcd" ID="GK::ID_ME_LB_BuildLabel" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<Label X="547" Y="334" Width="115" Height="29" BGTrans="0" ID="GK::ID_ME_LB_Build"/>
					<VirtualBox X="547" Y="334" Width="115" Height="29">
						<ColumnLayout ColAlignV="center" ColWidth="115">
							<Label BGTrans="0" Text="按下" FontHeight="18" ID="GK::ID_ME_LB_BuildTxt"/>
						</ColumnLayout>
					</VirtualBox>
					<ListBox X="547" FontHeight="15" Y="365" Visible="0" Width="117" Height="70" ID="GK::ID_ME_If_Condition">
						<Item>按下</Item>
						<Item>彈起</Item>
					</ListBox>

					<Label X="335" Y="372" Width="50" BGTrans="0" FontHeight="20" Text="则" FGColor="#cdcdcd" ID="GK::ID_ME_LB_ResultLabel" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<Label X="376" Y="370" Width="115" Height="29" BGTrans="0" ID="GK::ID_ME_LB_Result"/>
					<VirtualBox X="376" Y="370" Width="115" Height="29">
						<ColumnLayout ColAlignV="center" ColWidth="115">
							<Label BGTrans="0" Text="停止" FontHeight="18" ID="GK::ID_ME_LB_ResultTxt"/>
						</ColumnLayout>
					</VirtualBox>
					<ListBox X="375" FontHeight="15" Y="400" Visible="0" Width="117" Height="70" ID="GK::ID_ME_If_Result">
						<Item>停止</Item>
						<Item>跳至</Item>
					</ListBox>
					<Label X="505" Y="372"	Width="50" Visible="0" BGTrans="0" FontHeight="20" Text="步骤" FGColor="#cdcdcd" ID="GK::ID_ME_LB_JumpLabel" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<NumberEdit X="547" Y="372" Width="50" Visible="0" FontHeight="20" StyleEx="WS_EX_CLIENTEDGE" BGTrans="0" ID="GK::ID_ME_NE_Jump" Text="1" PostponeCheckTime="1200" MinValue="1" MaxValue="100"/-->

					<!--插入一個滑鼠事件1 -->
					<ImageList X="290" Y="298" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MacroAddMouseEvent">
						<Image File="Image\GK\Theme1\med_button_insert_normal.png"/>
						<Image File="Image\GK\Theme1\med_button_insert_over.png"/>
						<Image File="Image\GK\Theme1\med_button_insert_disable.png"/>
					</ImageList>
					<Label X="335" Y="303" Width="200" BGTrans="0" FontHeight="20" Text="插入一個滑鼠事件" FGColor="#cdcdcd" ID="GK::ID_ME_LB_InsertMouseEvent" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<Label X="376" Y="335" Width="115" Height="29" BGTrans="0" ID="GK::ID_ME_LB_MouseEvent1"/>
					<VirtualBox X="376" Y="335" Width="115" Height="29">
						<ColumnLayout ColAlignV="center" ColWidth="115">
							<Label BGTrans="0" Text="左鍵" FontHeight="18" ID="GK::ID_ME_LB_MouseEventTxt1"/>
						</ColumnLayout>
					</VirtualBox>
					<ListBox X="378" FontHeight="15" Y="367" Visible="0" Width="117" Height="100" ID="GK::ID_ME_MouseEvent1" TrackMouse="1">
						<Item>左鍵</Item>
						<Item>右鍵</Item>
						<Item>中鍵</Item>
						<Item>4Key</Item>
						<Item>5Key</Item>
						<Item>滾輪</Item>
					</ListBox>

					<!--插入一個滑鼠事件2 -->
					<Label X="547" Y="335" Width="117" Height="29" BGTrans="0" ID="GK::ID_ME_LB_MouseEvent2"/>
					<VirtualBox X="547" Y="335" Width="115" Height="29">
						<ColumnLayout ColAlignV="center" ColWidth="115">
							<Label BGTrans="0" Text="按下" FontHeight="18" ID="GK::ID_ME_LB_MouseEventTxt2"/>
						</ColumnLayout>
					</VirtualBox>
					<ListBox X="549" FontHeight="15" Y="367" Visible="0" Width="117"  Height="40" ID="GK::ID_ME_MouseEvent2" TrackMouse="1">
						<Item>按下</Item>
						<Item>弹起</Item>
					</ListBox>
					
					<!-- Delay Time-->
					<ImageList X="290" Y="410" Active="0" OnOverActive="1" SizeToImage="1" ID="GK:ID_ME_BTN_MacroAddDelay">
						<Image File="Image\GK\Theme1\med_button_insert_normal.png"/>
						<Image File="Image\GK\Theme1\med_button_insert_over.png"/>
						<Image File="Image\GK\Theme1\med_button_insert_disable.png"/>
					</ImageList>
					<Label Text="新增延时" X="335" Y="409" Width="80" FontHeight="20" ID="GK::ID_ME_LB_AddDelay" FGColor="#cdcdcd" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<NumberEdit X="435" Y="409" Width="160" FontHeight="20" StyleEx="" BGTrans="0" ID="GK::ID_ME_TE_AddDelay" Text="50" MinValue="1" MaxValue="99999999" PostponeCheckTime="300" Tooltip="integer between 1 and 99999999"/>
					<Label Text="毫秒" X="615" Y="409" Width="50" FontHeight="20" ID="GK::ID_ME_Lab_DelayUnit" FGColor="#cdcdcd" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					
					<!-- Fix Delay Time-->
					<ImageList X="290" Y="473" Active="0" SizeToImage="1" ID="GK::ID_ME_CHK_Delay">
						<Image File="Image\GK\Theme1\checkbox_none.png"/>
						<Image File="Image\GK\Theme1\checkbox_checked.png"/>
					</ImageList>
					<Label Text="固定延時" X="335" Y="472" Width="80" FontHeight="20" ID="GK::ID_ME_Lab_Delay" FGColor="#cdcdcd" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<NumberEdit X="435" Y="472" Width="160" FontHeight="20" StyleEx="" BGTrans="0" ID="GK::ID_ME_TE_Delay" Text="50" MinValue="1" MaxValue="99999999" PostponeCheckTime="300" Tooltip="integer between 1 and 99999999"/>
					<Label Text="毫秒" X="615" Y="472" Width="50" FontHeight="20" ID="GK::ID_ME_Lab_DelayUnit" FGColor="#cdcdcd" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
			
					<!--macro recod light-->
                    <ImageList X="235" Y="240" Visible="0" Active="0" SizeToImage="1" ID="GK::ID_Record_Light">
                        <Image File="Image\GK\Theme1\record_disable.png"/>
                        <Image File="Image\GK\Theme1\record_enable.png"/>
                    </ImageList>

					<!--key down list-->
					<Label X="40" Y="240" Width="200" BGTrans="0" FontHeight="20" Text="按键序列" FGColor="#cdcdcd" ID="GK::ID_ME_LB_KeyDown" Style="WS_CHILD | WS_VISIBLE | SS_LEFT"/>
					<ListBox X="38" Y="264" Width="236" Height="327" Visible="1" FontHeight="18" ID="GK::ID_ME_KeyDownList"/>
					<VirtualBox X="38" Y="592" Width="236" Height="34">
						<ColumnLayout MarginL="10" MarginR="10" ColAlignH="equal" ColAlignV="center">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MoveTop" Tooltip="Move Top">
								<Image File="Image\GK\Theme1\med_button_top_normal.png"/>
								<Image File="Image\GK\Theme1\med_button_top_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MoveUp" Tooltip="Move Up">
								<Image File="Image\GK\Theme1\med_button_up_normal.png"/>
								<Image File="Image\GK\Theme1\med_button_up_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MoveDown" Tooltip="Move Down">
								<Image File="Image\GK\Theme1\med_button_down_normal.png"/>
								<Image File="Image\GK\Theme1\med_button_down_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_MoveBottom" Tooltip="Move Bottom">
								<Image File="Image\GK\Theme1\med_button_bottom_normal.png"/>
								<Image File="Image\GK\Theme1\med_button_bottom_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_KeyDel" Tooltip="Delete Selected Item">
								<Image File="Image\GK\Theme1\med_button_delete_normal.png"/>
								<Image File="Image\GK\Theme1\med_button_delete_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_ME_BTN_KeyClearAll" Tooltip="Clear All Items">
								<Image File="Image\GK\Theme1\med_button_clearall_normal.png"/>
								<Image File="Image\GK\Theme1\med_button_clearall_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>

					<TextEdit Visible="0" ID="GK::ID_ME_NE_HookKeyDownNotify"/>
					<NumberEdit Visible="0" ID="GK::ID_ME_NE_HookKeyCode"/>
					<NumberEdit Visible="0" ID="GK::ID_ME_NE_KeyStrokeState"/>
					<NumberEdit Visible="0" ID="GK::ID_ME_NE_EditDelayTime"/>
				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GK::MacroEditDialog" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardMacroFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbKeyboardHook" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::KeyboardHookMapping"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::DelayTimeDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::RenameDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::RenameDialog"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardWriter" PluginID="GamingKeyboard"/>
			<ExtraConfig>
				<MacroFile FileFilter="Macro File (*.mac)|*.mac|All Files (*.*)|*.*||" DefFileExt=".mac"/>
				<KeyboardKeyIndex Macro="3"/>
				<DelayTimeLimit Min="1" Max="99999999"/>
				<MacroStepLimit Max="2000"/> 
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvoker" Enable="1">
		<Plugin ID="GK::MacroEditDialog" Bundle="..\DialogInvoker.dll" Enable="1">
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MacroEditDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::MacroEditDialog"/>
			<ExtraConfig>
				<Title>Macro Edit Dialog</Title>
				<Size Width="400" Height="300" Resize="0" NoFrame="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GK::MacroEditDialog" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GK::MacroEditDialog"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GK::MacroEditDialog"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardMacroFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbKeyboardHook" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::MacroEditDialog"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardWriter" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
		</Plugin>
	</ExtensionPoint>
</File>